Bug 250504 - sysutils/rundeck3: Update to 3.3.5
Summary: sysutils/rundeck3: Update to 3.3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL: https://docs.rundeck.com/docs/history...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-21 12:07 UTC by Daniel Tihanyi
Modified: 2020-10-26 06:15 UTC (History)
3 users (show)

See Also:
fernape: merge-quarterly+


Attachments
Rundeck3 update to 3.3.5 (2.31 KB, patch)
2020-10-21 12:07 UTC, Daniel Tihanyi
daniel.tihanyi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tihanyi 2020-10-21 12:07:03 UTC
Created attachment 218943 [details]
Rundeck3 update to 3.3.5

This is a bugfix release for Rundeck that bumps the version to 3.3.5.
I also:
- Added a new master site and made it primary (the Rundeck download page also links to bintray)
- Removed the pkg-plist file and added the contents to the Makefile
- Added OpenJDK 11 to JAVA_VERSION (it's supported by Rundeck since 3.3.0)
Comment 1 Automation User 2020-10-21 12:41:27 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/205722077
Comment 2 Fernando Apesteguía freebsd_committer 2020-10-22 05:44:32 UTC
^Triage: Bugfix release, merge to quarterly branch.


Thanks!
Comment 3 commit-hook freebsd_committer 2020-10-24 18:50:56 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Oct 24 18:50:46 UTC 2020
New revision: 553216
URL: https://svnweb.freebsd.org/changeset/ports/553216

Log:
  sysutils/rundeck3: Update to bugfix release 3.3.5

  Also:
  - Added a new master site and made it primary
    (the Rundeck download page also links to bintray)
  - Removed the pkg-plist file and added the contents to the Makefile
  - Added OpenJDK 11 to JAVA_VERSION (it's supported by Rundeck since 3.3.0)

  PR:		250504
  Submitted by:	Daniel Tihanyi <daniel.tihanyi@tetragir.com> (maintainer)
  MFH:		2020Q4

Changes:
  head/sysutils/rundeck3/Makefile
  head/sysutils/rundeck3/distinfo
  head/sysutils/rundeck3/pkg-plist
Comment 4 Fernando Apesteguía freebsd_committer 2020-10-25 12:47:32 UTC
^Triage: merge-quaterly + means MFH is already done.
Comment 5 commit-hook freebsd_committer 2020-10-26 00:42:18 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Oct 26 00:42:15 UTC 2020
New revision: 553310
URL: https://svnweb.freebsd.org/changeset/ports/553310

Log:
  MFH: r553216

  sysutils/rundeck3: Update to bugfix release 3.3.5

  Also:
  - Added a new master site and made it primary
    (the Rundeck download page also links to bintray)
  - Removed the pkg-plist file and added the contents to the Makefile
  - Added OpenJDK 11 to JAVA_VERSION (it's supported by Rundeck since 3.3.0)

  PR:		250504
  Submitted by:	Daniel Tihanyi <daniel.tihanyi@tetragir.com> (maintainer)

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/sysutils/rundeck3/Makefile
  branches/2020Q4/sysutils/rundeck3/distinfo
  branches/2020Q4/sysutils/rundeck3/pkg-plist